#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.cli = void 0;
const commander_1 = require("commander");
const ngrv_1 = require("./ngrv");
const program = new commander_1.Command();
program
    .command('create', { isDefault: true })
    .alias('c')
    .description('create ngrv files')
    .option('-d, --directory <dir>', 'directory where the ngrv files will be saved')
    .action((opts) => __awaiter(void 0, void 0, void 0, function* () {
    var _a;
    const directory = (_a = opts.dir) !== null && _a !== void 0 ? _a : ngrv_1.defaultOptions.directory;
    (0, ngrv_1.engrave)({ directory });
}));
program
    .command('read')
    .alias('r')
    .description('Read ngrv files')
    .option('-d, --directory <dir>', 'directory to read the ngrv files')
    .action((opts) => __awaiter(void 0, void 0, void 0, function* () {
    var _b;
    const directory = (_b = opts.dir) !== null && _b !== void 0 ? _b : ngrv_1.defaultOptions.directory;
    (0, ngrv_1.readEngrave)({ directory });
}));
program.parse(process.argv);
exports.cli = program;
